package nl.amis.timelinerss;

import java.text.ParseException;
import java.text.SimpleDateFormat;

import java.util.Date;

public class FeedMessage {

    private static final SimpleDateFormat parserSDF =
        new SimpleDateFormat("EEE, d MMM yyyy HH:mm:ss Z");

    String title;
    String description;
    String link;
    String author;
    String guid;
    String pubDate;
    Date timestamp;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getLink() {
        return link;
    }

    public void setLink(String link) {
        this.link = link;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getGuid() {
        return guid;
    }

    public void setGuid(String guid) {
        this.guid = guid;
    }

    @Override
    public String toString() {
        return "FeedMessage [title=" + title + ", description=" + description +
            ", link=" + link + ", author=" + author + ", guid=" + guid +
            ", pubDate=" + pubDate + ", timestamp=" + getTimestamp() + "]";
    }

    public void setPubDate(String pubDate) {
        this.pubDate = pubDate;
        Date parsedDate = null;
        try {
            parsedDate = parserSDF.parse(pubDate);
            setTimestamp(parsedDate);
        } catch (ParseException e) {
            System.out.println("parse " + pubDate.substring(0, 25) +
                               e.getMessage());
        }
    }

    public String getPubDate() {
        return pubDate;
    }

    public void setTimestamp(Date timestamp) {
        this.timestamp = timestamp;
    }

    public Date getTimestamp() {
        return timestamp;
    }
}
